Counts ChromeOS devices matching the request.
HTTP request
GET https://admin.googleapis.com/admin/directory/v1/customer/{customerId}/devices/chromeos:countChromeOsDevices
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
customerId |
Required. Immutable ID of the Google Workspace account. |
Query parameters
| Parameters | |
|---|---|
orgUnitPath |
Optional. The full path of the organizational unit (minus the leading |
filter |
Optional. Search string in the format given at List query operators. |
includeChildOrgunits |
Optional. Return devices from all child orgunits, as well as the specified org unit. If this is set to true, 'orgUnitPath' must be provided. |
Request body
The request body must be empty.
Response body
A response for counting ChromeOS devices.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "count": string } |
| Fields | |
|---|---|
count |
The total number of devices matching the request. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/admin.directory.device.chromeoshttps://www.googleapis.com/auth/admin.directory.device.chromeos.readonly
For more information, see the Authorization guide.